Open CASCADE Technology 7.9.0
|
Provides methods to build edges. More...
#include <BRepBuilderAPI_MakeEdge2d.hxx>
Additional Inherited Members | |
![]() | |
BRepBuilderAPI_MakeShape () | |
![]() | |
BRepBuilderAPI_Command () | |
Set done to False. | |
void | Done () |
Set done to true. | |
void | NotDone () |
Set done to false. | |
![]() | |
TopoDS_Shape | myShape |
TopTools_ListOfShape | myGenerated |
Provides methods to build edges.
The methods have the following syntax, where TheCurve is one of Lin2d, Circ2d, ...
Create(C : TheCurve)
Makes an edge on the whole curve. Add vertices on finite curves.
Create(C : TheCurve; p1,p2 : Real)
Make an edge on the curve between parameters p1 and p2. if p2 < p1 the edge will be REVERSED. If p1 or p2 is infinite the curve will be open in that direction. Vertices are created for finite values of p1 and p2.
Create(C : TheCurve; P1, P2 : Pnt2d from gp)
Make an edge on the curve between the points P1 and P2. The points are projected on the curve and the previous method is used. An error is raised if the points are not on the curve.
Create(C : TheCurve; V1, V2 : Vertex from TopoDS)
Make an edge on the curve between the vertices V1 and V2. Same as the previous but no vertices are created. If a vertex is Null the curve will be open in this direction.
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const TopoDS_Vertex & | V1, |
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Lin2d & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Lin2d & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Lin2d & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Lin2d & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Circ2d & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Circ2d & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Circ2d & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Circ2d & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Elips2d & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Elips2d & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Elips2d & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Elips2d & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Hypr2d & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Hypr2d & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Hypr2d & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Hypr2d & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Parab2d & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Parab2d & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Parab2d & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const gp_Parab2d & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L | ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2, | ||
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
BRepBuilderAPI_MakeEdge2d::BRepBuilderAPI_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2, | ||
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
const TopoDS_Edge & BRepBuilderAPI_MakeEdge2d::Edge | ( | ) |
BRepBuilderAPI_EdgeError BRepBuilderAPI_MakeEdge2d::Error | ( | ) | const |
Returns the error description when NotDone.
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C | ) |
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2 ) |
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C, |
const gp_Pnt2d & | P1, | ||
const gp_Pnt2d & | P2, | ||
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C, |
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2 ) |
void BRepBuilderAPI_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C, |
const TopoDS_Vertex & | V1, | ||
const TopoDS_Vertex & | V2, | ||
const Standard_Real | p1, | ||
const Standard_Real | p2 ) |
|
overridevirtual |
Reimplemented from BRepBuilderAPI_Command.
BRepBuilderAPI_MakeEdge2d::operator TopoDS_Edge | ( | ) |
const TopoDS_Vertex & BRepBuilderAPI_MakeEdge2d::Vertex1 | ( | ) | const |
Returns the first vertex of the edge. May be Null.
const TopoDS_Vertex & BRepBuilderAPI_MakeEdge2d::Vertex2 | ( | ) | const |
Returns the second vertex of the edge. May be Null.